
#include <OneWire.h>
#include <DallasTemperature.h>

#include <LiquidCrystal_I2C.h> 
LiquidCrystal_I2C lcd(0x27, 16, 2);

#define ONE_WIRE_BUS 2
#define ONE_WIRE_BUS2 3

// Setup a oneWire instance to communicate with any OneWire devices (not just Maxim/Dallas temperature ICs)
OneWire oneWire(ONE_WIRE_BUS);
OneWire oneWire2(ONE_WIRE_BUS2);

// Pass our oneWire reference to Dallas Temperature. 
DallasTemperature sensors(&oneWire);
DallasTemperature sensors2(&oneWire2);

int HouseTemp; 
int PipesTemp;
int DesiredTemp = 0;

void setup(void)
{
   pinMode(8, OUTPUT);
   
   Serial.begin(9600);
   pinMode(A0, INPUT);
   lcd.init();
   lcd.backlight();
   lcd.setCursor(22, 0);        
   lcd.print("Desired Temp"); 
  
  Serial.println("Dallas Temperature IC Control Library Demo");
  sensors.begin();
}

void loop(void)
{ 
  digitalWrite(8, HIGH);
  
  // FOR LCD AND POTENTIOMETER 
  DesiredTemp = analogRead(A0);
  DesiredTemp = map(DesiredTemp, 0, 1023, 0, 50);
  delay(1500);
  lcd.setCursor(37, 0);
  lcd.print(DesiredTemp);
  delay(1500);



  // FOR TEMP SENSORS
  // call sensors.requestTemperatures() to issue a global temperature 
  // request to all devices on the bus
  Serial.print("Requesting temperatures...");
  sensors.requestTemperatures(); // Send the command to get temperatures
  sensors2.requestTemperatures(); // Send the command to get temperatures
  
  Serial.println("DONE");
  
  Serial.print("Temperature for the device 1 (index 0) is: ");
  Serial.println(sensors.getTempCByIndex(0));  

  Serial.print("Temperature for the device 2 (index 0) is: ");
  Serial.println(sensors2.getTempCByIndex(0)); 

  Serial.println(DesiredTemp);
    
  HouseTemp=sensors.getTempCByIndex(0);
  PipesTemp=sensors2.getTempCByIndex(0);

  if (HouseTemp=DesiredTemp)
  {
    if (PipesTemp=HouseTemp)
      Serial.println("ON");//Generate Green = Fan is ON
    
    else if ( PipesTemp<HouseTemp ||  PipesTemp>HouseTemp)
      Serial.println("OFF");//  Fan is OFF
  }
  
  else if (HouseTemp>DesiredTemp)
  {
    if (PipesTemp=DesiredTemp || PipesTemp<DesiredTemp)
       Serial.println("ON");// Fan is ON
    
    else if (PipesTemp=HouseTemp || PipesTemp>HouseTemp || HouseTemp>PipesTemp>DesiredTemp)
      Serial.println("OFF");//  Fan is OFF
  }
  
  else if (HouseTemp<DesiredTemp)
  {
    if (PipesTemp=DesiredTemp || DesiredTemp>PipesTemp>HouseTemp)
      Serial.println("ON");// Fan is ON
      
    else if (PipesTemp=HouseTemp || PipesTemp>DesiredTemp || PipesTemp<HouseTemp)
       Serial.println("OFF");//  Fan is OFF
  }
  
}
